| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::LinearControllerFunction Class Reference
Core » General

Predefined controller function based on linear function interpolation. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::LinearControllerFunction:
[legend]

## Public Member Functions
| LinearControllerFunction (const std::vector< Real > &keys, const std::vector< Real > &values, Real frequency=1, bool deltaInput=true)
| Constructor, requires keys and values of the function to interpolate. More...
Real | calculate (Real source)
| Overridden function. More...

## Detailed Description

Predefined controller function based on linear function interpolation.

## Constructor & Destructor Documentation

## ◆ LinearControllerFunction()

Ogre::LinearControllerFunction::LinearControllerFunction | ( | const std::vector< Real > & | keys,
|  | const std::vector< Real > & | values,
|  | Real | frequency = `1`,
|  | bool | deltaInput = `true`
| ) |  |

Constructor, requires keys and values of the function to interpolate.

Parameters

  keys | the x-values of the function sampling points. Value range is [0,1]. Must include at least the keys 0 and 1.

Remarks
  for simplicity and compability with the predefined ControllerValue classes the function range is limited to [0,1]. However you can use the frequency parameter to rescale the input key values.

Parameters

  values | the function values f(x) of the function. order must match keys

Remarks
  there must be the same amount of keys and values

## Member Function Documentation

## ◆ calculate()

Real Ogre::LinearControllerFunction::calculate | ( | Real | source | ) |
| virtual

Overridden function.

Implements Ogre::ControllerFunction< Real >.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h